std::filesystem::__directory_iterator_proxy Struct Reference

## Public Member Functions

directory_entry | operator* () &&noexcept
const directory_entry & | operator* () const &noexcept

## Friends

class | directory_iterator
class | recursive_directory_iterator

## Detailed Description

Proxy returned by post-increment on directory iterators.

Definition at line 357 of file bits/fs_dir.h.

The documentation for this struct was generated from the following file:

- bits/fs_dir.h